EmphasisType (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.enumeration

## Enum EmphasisType

- java.lang.Object
- - java.lang.Enum<EmphasisType>
  - - tv.amwa.maj.enumeration.EmphasisType

- All Implemented Interfaces:
    Serializable, Comparable<EmphasisType>, MediaEnumerationValue

      public enum EmphasisType
      extends Enum<EmphasisType>
      implements MediaEnumerationValue

  Specifies the encoded audio signal pre-emphasis for sound data.

  The values associated with elements of this enumeration are specified in section 4 of EBU tech. 3250.

  See Also:
    `AES3PCMDescriptor.getEmphasis()`, `TypeDefinitions.EmphasisType`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Emphasis15and50` 50/15 pico s emphasis.
    `ITU` CCITT J.17 emphasis (with 6.5 dB insertion loss at 500 Hz).
    `None` No emphasis.
    `Reserved0` Reserved.
    `Reserved1` Reserved.
    `Reserved2` Reserved.
    `Reserved3` Reserved.
    `Unknown` Emphasis not indicated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `symbol()` Provides a name for the enumeration value that can be used in XML serialisation.
    `long` | `value()` Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.
    `static EmphasisType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EmphasisType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEnumerationValue

      `name`

- - ### Enum Constant Detail

    - #### Unknown

          public static final EmphasisType Unknown

      Emphasis not indicated. Receiver defaults to no emphasis with manual over-ride enabled.

    - #### Reserved0

          public static final EmphasisType Reserved0

      Reserved.

    - #### Reserved1

          public static final EmphasisType Reserved1

      Reserved.

    - #### Reserved2

          public static final EmphasisType Reserved2

      Reserved.

    - #### None

          public static final EmphasisType None

      No emphasis. Receiver manual over-ride disabled.

    - #### Reserved3

          public static final EmphasisType Reserved3

      Reserved.

    - #### Emphasis15and50

          public static final EmphasisType Emphasis15and50

      50/15 pico s emphasis. Receiver manual over-ride disabled.

    - #### ITU

          public static final EmphasisType ITU

      CCITT J.17 emphasis (with 6.5 dB insertion loss at 500 Hz). Receiver manual over-ride disabled.

  - ### Method Detail

    - #### values

          public static EmphasisType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EmphasisType c : EmphasisType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EmphasisType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public long value()

      Description copied from interface: `MediaEnumerationValue`

      Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.

      Specified by:
        `value` in interface `MediaEnumerationValue`
      Returns:
        Unique integer value associated with an enumeration constant.

    - #### symbol

          public String symbol()

      Description copied from interface: `MediaEnumerationValue`

      Provides a name for the enumeration value that can be used in XML serialisation. The name is unique within the namespace of the owning type.

      As an example, the `ChannelStatusModeType` value `ChannelStatusModeType.Fixed` value has the name "`Fixed`" and symbol "`ChannelStatusMode_Fixed`".

      Specified by:
        `symbol` in interface `MediaEnumerationValue`
      Returns:
        Symbol name for this enumeration value.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.